Tasks
Get task status
GET
Permission: site.view on the task's site
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
task_id*Task IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "task_type": "string", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811", "status": "string", "result": "string", "error_message": "string", "metadata_json": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" }}